org.jboss.jca.common.metadata.common

## Class CommonIronJacamarParser

- java.lang.Object
- - org.jboss.jca.common.metadata.common.AbstractParser
  - - org.jboss.jca.common.metadata.common.CommonIronJacamarParser

- Direct Known Subclasses:
    IronJacamarParser, ResourceAdapterParser

      public abstract class CommonIronJacamarParser
      extends AbstractParser

  A CommonIronJacamarParser.
  Author:
    Jesper Pedersen

- - ### Field Summary

    - ### Fields inherited from class org.jboss.jca.common.metadata.common.AbstractParser

      `log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommonIronJacamarParser()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.jboss.jca.common.api.metadata.resourceadapter.AdminObject` | `parseAdminObjects(javax.xml.stream.XMLStreamReader reader)` parse a single admin-oject tag
    `protected org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition` | `parseConnectionDefinitions(javax.xml.stream.XMLStreamReader reader, java.lang.Boolean isXA)` parse a single connection-definition tag
    `protected org.jboss.jca.common.api.metadata.resourceadapter.WorkManager` | `parseWorkManager(javax.xml.stream.XMLStreamReader reader)` Parse workmanager element
    `protected org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity` | `parseWorkManagerSecurity(javax.xml.stream.XMLStreamReader reader)` Parse workmanager's security element

    - ### Methods inherited from class org.jboss.jca.common.metadata.common.AbstractParser

      `attributeAsBoolean, attributeAsInt, attributeAsString, elementAsBoolean, elementAsFlushStrategy, elementAsInteger, elementAsLong, elementAsString, isSystemPropertiesResolved, parseCapacity, parseConfigProperty, parseCredential, parseExtension, parsePool, parseRecovery, parseSecuritySettings, parseTimeOut, parseValidation, parseXaPool, setSystemPropertiesResolved`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommonIronJacamarParser

          public CommonIronJacamarParser()

  - ### Method Detail

    - #### parseAdminObjects

          protected org.jboss.jca.common.api.metadata.resourceadapter.AdminObject parseAdminObjects(javax.xml.stream.XMLStreamReader reader)
                                                                                             throws javax.xml.stream.XMLStreamException,
                                                                                                    ParserException

      parse a single admin-oject tag
      Parameters:
        `reader` - the reader
      Returns:
        the parsed `AdminObject`
      Throws:
        `javax.xml.stream.XMLStreamException` - XMLStreamException
        `ParserException` - ParserException

    - #### parseWorkManager

          protected org.jboss.jca.common.api.metadata.resourceadapter.WorkManager parseWorkManager(javax.xml.stream.XMLStreamReader reader)
                                                                                            throws javax.xml.stream.XMLStreamException,
                                                                                                   ParserException,
                                                                                                   org.jboss.jca.common.api.validator.ValidateException

      Parse workmanager element
      Parameters:
        `reader` - The reader
      Returns:
        The value
      Throws:
        `javax.xml.stream.XMLStreamException` - XMLStreamException
        `ParserException` - ParserException
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

    - #### parseWorkManagerSecurity

          protected org.jboss.jca.common.api.metadata.resourceadapter.WorkManagerSecurity parseWorkManagerSecurity(javax.xml.stream.XMLStreamReader reader)
                                                                                                            throws javax.xml.stream.XMLStreamException,
                                                                                                                   ParserException,
                                                                                                                   org.jboss.jca.common.api.validator.ValidateException

      Parse workmanager's security element
      Parameters:
        `reader` - The reader
      Returns:
        The value
      Throws:
        `javax.xml.stream.XMLStreamException` - XMLStreamException
        `ParserException` - ParserException
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

    - #### parseConnectionDefinitions

          protected org.jboss.jca.common.api.metadata.resourceadapter.ConnectionDefinition parseConnectionDefinitions(javax.xml.stream.XMLStreamReader reader,
                                                                                                                      java.lang.Boolean isXA)
                                                                                                               throws javax.xml.stream.XMLStreamException,
                                                                                                                      ParserException,
                                                                                                                      org.jboss.jca.common.api.validator.ValidateException

      parse a single connection-definition tag
      Parameters:
        `reader` - the reader
        `isXA` - Is XA capable
      Returns:
        the parse `ConnectionDefinition` object
      Throws:
        `javax.xml.stream.XMLStreamException` - XMLStreamException
        `ParserException` - ParserException
        `org.jboss.jca.common.api.validator.ValidateException` - ValidateException

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)